diff --git a/common/int-to-str.c b/common/int-to-str.c
index 526763ee..87538398 100644
--- a/common/int-to-str.c
+++ b/common/int-to-str.c
@@ -18,7 +18,9 @@
  */
 
 #include <assert.h>
+
 #include "int-to-str.h"
+#include "lwan-private.h"
 
 ALWAYS_INLINE char *
 uint_to_string(size_t value,
diff --git a/common/int-to-str.h b/common/int-to-str.h
index d3b48d80..c5ec9b22 100644
--- a/common/int-to-str.h
+++ b/common/int-to-str.h
@@ -18,7 +18,8 @@
  */
 #pragma once
 
-#include "lwan.h"
+#include <stddef.h>
+#include <sys/types.h>
 
 #define INT_TO_STR_BUFFER_SIZE (3 * sizeof(size_t) + 1)
 
